libzypp 17.37.10

zypp::repo::DeltaCandidates::Impl Struct Reference

DeltaCandidates implementation. More...

## Public Member Functions
| Impl ()
| Impl (std::list< Repository > &&repos, std::string &&pkgname="")

## Public Attributes
std::list< Repository > | repos
std::string | pkgname

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const DeltaCandidates::Impl &obj)
| Stream output.

## Detailed Description

DeltaCandidates implementation.

Definition at line 33 of file DeltaCandidates.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::repo::DeltaCandidates::Impl::Impl | ( |  | ) |
| inline

Definition at line 36 of file DeltaCandidates.cc.

## ◆ Impl() [2/2]

zypp::repo::DeltaCandidates::Impl::Impl | ( | std::list< Repository > && | repos,
|  | std::string && | pkgname = "" )
| inline

Definition at line 39 of file DeltaCandidates.cc.

## Member Function Documentation

## ◆ clone()

Impl * zypp::repo::DeltaCandidates::Impl::clone | ( |  | ) | const
| inline private

clone for RWCOW_pointer

Definition at line 49 of file DeltaCandidates.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const DeltaCandidates::Impl & | obj )
| related

Stream output.

Definition at line 55 of file DeltaCandidates.cc.

## Member Data Documentation

## ◆ repos

std::list<Repository> zypp::repo::DeltaCandidates::Impl::repos

Definition at line 43 of file DeltaCandidates.cc.

## ◆ pkgname

std::string zypp::repo::DeltaCandidates::Impl::pkgname

Definition at line 44 of file DeltaCandidates.cc.

The documentation for this struct was generated from the following file:

- zypp/repo/DeltaCandidates.cc